org.eclipse.wst.jsdt.ui.text.folding

## Interface IJavaFoldingStructureProviderExtension

All Known Implementing Classes:
  DefaultJavaFoldingStructureProvider

    public interface IJavaFoldingStructureProviderExtension

Extends `IJavaFoldingStructureProvider` with the following functions:

- collapsing of comments and members
- expanding and collapsing of certain JavaScript elements

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `collapseComments()` Collapses all comments.
`void` `collapseElements(IJavaScriptElement[] elements)` Collapses the given elements.
`void` `collapseMembers()` Collapses all members except for top level types.
`void` `expandElements(IJavaScriptElement[] elements)` Expands the given elements.

### Method Detail

#### collapseMembers

    void collapseMembers()

Collapses all members except for top level types.

#### collapseComments

    void collapseComments()

Collapses all comments.

#### collapseElements

    void collapseElements(IJavaScriptElement[] elements)

Collapses the given elements.

Parameters:
  `elements` - the JavaScript elements to collapse (the array and its elements must not be modified)

#### expandElements

    void expandElements(IJavaScriptElement[] elements)

Expands the given elements.

Parameters:
  `elements` - the JavaScript elements to expand (the array and its elements must not be modified)